summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorEthan P <eth-p+git@hidden.email>2020-10-04 00:31:28 -0700
committerDavid Peter <sharkdp@users.noreply.github.com>2020-10-04 11:00:57 +0200
commit51d25e5859171e060eb6edd6a1de758b4bc125ce (patch)
tree5a935a985b07068d63c4412df6b1dcb755b8682e /tests
parentb8535689d3fcb5a6df19a357ce895b707aa7749b (diff)
Fix syntax highlighting test update.sh to work on Mac OS
Diffstat (limited to 'tests')
-rw-r--r--tests/syntax-tests/update.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/syntax-tests/update.sh b/tests/syntax-tests/update.sh
index 1a5564e7..7ce66588 100644
--- a/tests/syntax-tests/update.sh
+++ b/tests/syntax-tests/update.sh
@@ -1,3 +1,5 @@
#!/bin/bash
-python create_highlighted_versions.py -O highlighted
+python="python3"
+if ! command -v python3 &>/dev/null; then python="python"; fi
+"$python" create_highlighted_versions.py -O highlighted